=== debian/changelog ===
openvdb (3.1.0-3b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:13:13 +0000

openvdb (3.1.0-3b1) staging; urgency=high

  * No-change rebuild against liblog4cplus-1.1.9

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:13:13 +0000

openvdb (3.1.0-3) unstable; urgency=medium

  * FTBFS when built with dpkg-buildpackage -A. Closes: #807023
  * public extension linked with libpython2.7. Closes: #801861
  * add direct build-dependency on libglu. Closes: #813016

 -- Mathieu Malaterre <malat@debian.org>  Tue, 01 Mar 2016 10:27:33 +0100

openvdb (3.1.0-2) unstable; urgency=medium

  * Fix compilation on 32bits. Closes: #801802

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 Oct 2015 13:55:15 +0200

openvdb (3.1.0-1) unstable; urgency=medium

  * new upstream
  * add c-blosc
  * Remove symbols file, too complex to maintain
  * register doc against doc-base
  * Remove numpy warnings. Closes: #751761

 -- Mathieu Malaterre <malat@debian.org>  Tue, 13 Oct 2015 17:03:48 +0200

openvdb (3.0.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtbb-dev (>= 4.3~20150611-0.1).
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Sep 2015 14:16:56 +0200

openvdb (3.0.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Include -latomic in the linker line to deal with the new libtbb.
    Closes: #787084.
  * Regenerate the symbols file for the new libstdc++ ABI.
    Closes: #791740.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 23:45:14 +0200
