## openvdb 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2012-2015 DreamWorks Animation LLC
+# Copyright (c) 2012-2016 DreamWorks Animation LLC
 #
 # All rights reserved. This software is distributed under the
 # Mozilla Public License 2.0 ( http://www.mozilla.org/MPL/2.0/ )
@@ -91,15 +91,19 @@
 BOOST_THREAD_LIB := -lboost_thread
 
 # The parent directory of the OpenEXR/ header directory
-EXR_INCL_DIR := $(HT)/include
+#EXR_INCL_DIR := $(HT)/include
+EXR_INCL_DIR := /rel/folio/openexr/openexr-1.7.1-latest/sys_include
 # The directory containing IlmImf
-EXR_LIB_DIR := $(HDSO)
+#EXR_LIB_DIR := $(HDSO)
+EXR_LIB_DIR := /rel/folio/openexr/openexr-1.7.1-latest/library
 EXR_LIB := -lIlmImf
 
 # The parent directory of the OpenEXR/ header directory (which contains half.h)
-ILMBASE_INCL_DIR := $(EXR_INCL_DIR)
+#ILMBASE_INCL_DIR := $(EXR_INCL_DIR)
+ILMBASE_INCL_DIR := /rel/folio/ilmbase/ilmbase-1.0.3-latest/sys_include
 # The directory containing libIlmThread, libIlmThread, libHalf etc.
-ILMBASE_LIB_DIR := $(EXR_LIB_DIR)
+#ILMBASE_LIB_DIR := $(EXR_LIB_DIR)
+ILMBASE_LIB_DIR := /rel/folio/ilmbase/ilmbase-1.0.3-latest/library
 ILMBASE_LIB := -lIlmThread -lIex -lImath
 HALF_LIB := -lHalf
 
@@ -166,7 +170,7 @@
 NUMPY_INCL_DIR := /rel/map/generic-2013.22/include
 # The Epydoc executable
 # (leave blank if Epydoc is unavailable)
-EPYDOC := epydoc
+EPYDOC := /rel/map/generic_default-2014.24.237/bin/epydoc
 # Set PYTHON_WRAP_ALL_GRID_TYPES to "yes" to specify that the Python module
 # should expose (almost) all of the grid types defined in openvdb.h
 # Otherwise, only FloatGrid, BoolGrid and Vec3SGrid will be exposed
@@ -249,6 +253,8 @@
 ifeq (yes,$(has_log4cplus))
     INCLDIRS += -isystem $(LOG4CPLUS_INCL_DIR)
 endif
+
+CXXFLAGS += -std=c++0x
 
 CXXFLAGS += -pthread $(OPTIMIZE) $(INCLDIRS)
 ifeq (yes,$(has_blosc))
@@ -333,16 +339,3 @@
     metadata/MetaMap.h \
     metadata/StringMetadata.h \
     openvdb.h \
-    Platform.h \
-    PlatformConfig.h \
-    tools/ChangeBackground.h \
-    tools/Clip.h \
-    tools/Composite.h \
-    tools/Dense.h \
-    tools/DenseSparseTools.h \
-    tools/Diagnostics.h \
-    tools/Filter.h \
-    tools/GridOperators.h \
-    tools/GridTransformer.h \
-    tools/Interpolation.h \
-    tools/LevelSetAdvect.h \
