=== debian/changelog ===
openvdb (3.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build on mips*. Closes: #847752

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Dec 2016 09:31:28 +0100

openvdb (3.2.0-2) unstable; urgency=medium

  * Reactivate old patch (refreshed). Closes: #835419
    + d/p/size_t.patch
  * Remove old patch, not needed anymore:
    - d/p/fixnumpy.patch

 -- Mathieu Malaterre <malat@debian.org>  Fri, 26 Aug 2016 12:13:08 +0200

openvdb (3.2.0-1) unstable; urgency=medium

  * new upstream
  * make sure to remove c++11 compilation mode for now
    + d/p/remove_cxx0.patch

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Aug 2016 14:44:24 +0200

openvdb (3.1.0-4) unstable; urgency=medium

  * Fix compilation with GCC6. Closes: #831067
  * Bump Std-Vers to 3.9.8, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 21 Jul 2016 11:37:42 +0200
