=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,12 @@
 CXXFLAGS+=-Wa,-mimplicit-it=thumb
 endif
 
+# Disable optimization on mips* because the compiler is running out of memory
+# see #847752
+ifneq (,$(filter $(DEB_BUILD_ARCH_CPU), mips mipsel))
+CXXFLAGS:=$(filter-out -O2,$(CXXFLAGS)) -O1
+endif
+
 # deduce documentation option (build-indep target)
 ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
   BUILDDOC = DOXYGEN= EPYDOC=
@@ -27,15 +33,17 @@
   BUILDDOC =
 endif
 
-ALLOPTS = $(BUILDDOC) BOOST_PYTHON_LIB=-lboost_python-py27 PYTHON_VERSION=2.7 \
-					PYTHON_INCL_DIR=/usr/include/python2.7 NUMPY_INCL_DIR2=/usr/lib/python2.7/dist-packages/numpy/core/include/numpy/ \
-					NUMPY_INCL_DIR=/usr/share/pyshared/numpy/core/include/numpy/ HFS=/removeme HT=/usr HDSO=/usr/lib \
-					EXR_INCL_DIR=/usr/include/OpenEXR \
-					CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib \
-					LOG4CPLUS_INCL_DIR=/usr/include LOG4CPLUS_LIB_DIR=/usr/lib \
-					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib \
+TESTOPS = CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+					EXR_INCL_DIR=/usr/include/OpenEXR EXR_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+					ILMBASE_INCL_DIR=/usr/include/OpenEXR ILMBASE_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+					HT=/usr HDSO=/usr/lib \
+					LOG4CPLUS_INCL_DIR=/usr/include LOG4CPLUS_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
+ALLOPTS = $(BUILDDOC) $(TESTOPS) BOOST_PYTHON_LIB=-lboost_python-py27 PYTHON_VERSION=2.7 \
+					BOOST_PYTHON_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) PYTHON_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+					PYTHON_INCL_DIR=/usr/include/python2.7 NUMPY_INCL_DIR=/usr/lib/python2.7/dist-packages/numpy/core/include/numpy/ \
+					PYTHON_SONAME_FLAGS= \
+					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 					LIBS_RPATH='$(LDFLAGS) -ldl -lm -lz -lHalf -ltbb -latomic -lblosc -llog4cplus -lboost_filesystem -lboost_system -lboost_iostreams' LIBOPENVDB_RPATH= \
-					PYTHON_SONAME_FLAGS= BOOST_PYTHON_LIB=-lboost_python-py27 \
 					verbose=yes debug=yes rpath=no shared=yes
 
 %:
@@ -49,7 +57,7 @@
 	dh_auto_build -- $(ALLOPTS)
 
 override_dh_auto_test-arch:
-	timeout 2h dh_auto_test || true
+	timeout 2h dh_auto_test -- $(TESTOPS) || true
 
 override_dh_auto_build-indep:
 	$(MAKE) doc
