## openvdb 5.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2012-2016 DreamWorks Animation LLC
+# Copyright (c) 2012-2017 DreamWorks Animation LLC
 #
 # All rights reserved. This software is distributed under the
 # Mozilla Public License 2.0 ( http://www.mozilla.org/MPL/2.0/ )
@@ -38,6 +38,7 @@
 #   pytest              unit tests for the Python module
 #   pydoc               HTML documentation for the Python module
 #                       (doc/html/python/index.html)
+#   vdb_lod             command-line tool to generate volume mipmaps
 #   vdb_print           command-line tool to inspect OpenVDB files
 #   vdb_render          command-line tool to ray-trace OpenVDB files
 #   vdb_view            command-line tool to view OpenVDB files
@@ -46,13 +47,16 @@
 #   all                 [default target] all of the above
 #   install             install all of the above except vdb_test
 #                       into subdirectories of DESTDIR
+#   install_lib         install just the OpenVDB library and its headers
+#                       into subdirectories of DESTDIR
 #   depend              recompute source file header dependencies
 #   clean               delete generated files from the local directory
 #   test                run tests
 #
 # Options:
-#   abi=2               build for compatibility with the OpenVDB 2.x Grid ABI
-#                       (some OpenVDB 3.x features will be disabled)
+#   abi=N               build for compatibility with version N of the
+#                       OpenVDB Grid ABI, where N is 2, 3, 4, etc.
+#                       (some newer features will be disabled)
 #   shared=no           link executables against static OpenVDB libraries
 #                       (default: link against shared libraries)
 #   debug=yes           build with debugging symbols and without optimization
@@ -73,15 +77,18 @@
 #
 # To build the OpenVDB Python module, you will need local distributions of
 # Python, Boost.Python, and optionally NumPy.  As of Houdini 12.5, the HDK
-# includes versions 2.5 and 2.6 of Python as well as the Boost.Python headers.
-# Unfortunately, it does not include the libboost_python library, nor does it
-# include NumPy, so both Boost.Python and NumPy have to be built separately.
+# includes Python 2.x as well as the Boost.Python headers.  Unfortunately,
+# it does not include the libboost_python library, nor does it include NumPy,
+# so both Boost.Python and NumPy have to be built separately.
 # Point the variables $(BOOST_PYTHON_LIB_DIR), $(BOOST_PYTHON_LIB) and
 # $(NUMPY_INCL_DIR) below to your local distributions of those libraries.
 #
 
 # The directory into which to install libraries, executables and header files
 DESTDIR := /tmp/OpenVDB
+
+# The directory into which to install libraries (e.g., for Linux multiarch support)
+DESTDIR_LIB_DIR := $(DESTDIR)/lib
 
 # The parent directory of the boost/ header directory
 BOOST_INCL_DIR := $(HT)/include
@@ -91,19 +98,15 @@
 BOOST_THREAD_LIB := -lboost_thread
 
 # The parent directory of the OpenEXR/ header directory
-#EXR_INCL_DIR := $(HT)/include
-EXR_INCL_DIR := /rel/folio/openexr/openexr-1.7.1-latest/sys_include
+EXR_INCL_DIR := $(HT)/include
 # The directory containing IlmImf
-#EXR_LIB_DIR := $(HDSO)
-EXR_LIB_DIR := /rel/folio/openexr/openexr-1.7.1-latest/library
+EXR_LIB_DIR := $(HDSO)
 EXR_LIB := -lIlmImf
 
 # The parent directory of the OpenEXR/ header directory (which contains half.h)
-#ILMBASE_INCL_DIR := $(EXR_INCL_DIR)
-ILMBASE_INCL_DIR := /rel/folio/ilmbase/ilmbase-1.0.3-latest/sys_include
+ILMBASE_INCL_DIR := $(EXR_INCL_DIR)
 # The directory containing libIlmThread, libIlmThread, libHalf etc.
-#ILMBASE_LIB_DIR := $(EXR_LIB_DIR)
-ILMBASE_LIB_DIR := /rel/folio/ilmbase/ilmbase-1.0.3-latest/library
+ILMBASE_LIB_DIR := $(EXR_LIB_DIR)
 ILMBASE_LIB := -lIlmThread -lIex -lImath
 HALF_LIB := -lHalf
 
@@ -137,9 +140,9 @@
 
 # The parent directory of the log4cplus/ header directory
 # (leave blank if log4cplus is unavailable)
-LOG4CPLUS_INCL_DIR := /rel/folio/log4cplus/log4cplus-1.0.3-latest/sys_include
+LOG4CPLUS_INCL_DIR := /rel/folio/log4cplus/log4cplus-1.1.2-latest/sys_include
 # The directory containing liblog4cplus
-LOG4CPLUS_LIB_DIR := /rel/folio/log4cplus/log4cplus-1.0.3-latest/library
+LOG4CPLUS_LIB_DIR := /rel/folio/log4cplus/log4cplus-1.1.2-latest/library/c++11
 LOG4CPLUS_LIB := -llog4cplus
 
 # The directory containing glfw.h
@@ -154,7 +157,7 @@
 
 # The version of Python for which to build the OpenVDB module
 # (leave blank if Python is unavailable)
-PYTHON_VERSION := 2.6
+PYTHON_VERSION := 2.7
 # The directory containing Python.h
 PYTHON_INCL_DIR := $(HFS)/python/include/python$(PYTHON_VERSION)
 # The directory containing pyconfig.h
@@ -163,11 +166,11 @@
 PYTHON_LIB_DIR := $(HFS)/python/lib
 PYTHON_LIB := -lpython$(PYTHON_VERSION)
 # The directory containing libboost_python
-BOOST_PYTHON_LIB_DIR := /rel/depot/third_party_build/boost/rhel6-1.46.1-0/lib
-BOOST_PYTHON_LIB := -lboost_python-gcc41-mt-python26-1_46_1
+BOOST_PYTHON_LIB_DIR := /rel/config/studio/baseline/boost/1.55.0.0/gcc-4.8.1.0/python-2.7.10.0/ext/lib/
+BOOST_PYTHON_LIB := -lboost_python-mt
 # The directory containing arrayobject.h
 # (leave blank if NumPy is unavailable)
-NUMPY_INCL_DIR := /rel/map/generic-2013.22/include
+NUMPY_INCL_DIR := /rel/lang/python/2.7.9-1/lib/python2.7/site-packages/numpy/core/include/numpy/
 # The Epydoc executable
 # (leave blank if Epydoc is unavailable)
 EPYDOC := /rel/map/generic_default-2014.24.237/bin/epydoc
@@ -254,7 +257,7 @@
     INCLDIRS += -isystem $(LOG4CPLUS_INCL_DIR)
 endif
 
-CXXFLAGS += -std=c++0x
+CXXFLAGS += -std=c++11
 
 CXXFLAGS += -pthread $(OPTIMIZE) $(INCLDIRS)
 ifeq (yes,$(has_blosc))
@@ -263,8 +266,10 @@
 ifeq (yes,$(has_log4cplus))
     CXXFLAGS += -DOPENVDB_USE_LOG4CPLUS
 endif
-ifeq (2,$(strip $(abi)))
-    CXXFLAGS += -DOPENVDB_2_ABI_COMPATIBLE
+abi := $(strip $(abi))
+ifneq (,$(abi))
+    CXXFLAGS += -DOPENVDB_3_ABI_COMPATIBLE  # TODO: deprecated
+    CXXFLAGS += -DOPENVDB_ABI_VERSION_NUMBER=$(abi)
 endif
 ifneq (2,$(strip $(GLFW_MAJOR_VERSION)))
     CXXFLAGS += -DOPENVDB_USE_GLFW_3
@@ -329,13 +334,3 @@
     math/Ray.h \
     math/Stats.h \
     math/Stencils.h \
-    math/Transform.h\
-    math/Tuple.h\
-    math/Vec2.h \
-    math/Vec3.h \
-    math/Vec4.h \
-    Metadata.h \
-    metadata/Metadata.h \
-    metadata/MetaMap.h \
-    metadata/StringMetadata.h \
-    openvdb.h \
