=== debian/changelog ===
openvdb (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch not needed: d/p/fixversionnamesrc.patch
  * Remove patch applied upstream: d/p/install_lib.patch
  * Add patch that remove explicit -std=c++11

 -- Mathieu Malaterre <malat@debian.org>  Tue, 26 Dec 2017 10:41:24 +0100

openvdb (4.0.2-3) unstable; urgency=medium

  * Add dep on libilmbase-dev. Closes: #879896
  * Fix build on sh4
  * Bump Std-Vers to 4.1.2, no changes needed
  * Install missing vdb_lod man page

 -- Mathieu Malaterre <malat@debian.org>  Wed, 13 Dec 2017 12:55:40 +0100

openvdb (4.0.2-2) unstable; urgency=high

  * Fix build on mips*. Closes: #879636

 -- Mathieu Malaterre <malat@debian.org>  Wed, 22 Nov 2017 21:46:44 +0100

openvdb (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Std-Vers to 4.1.0, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 21 Sep 2017 22:15:57 +0200
