=== debian/control ===
--- 
+++ 
@@ -26,10 +26,10 @@
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/openvdb/trunk
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 X-Python-Version: 2.7
 
-Package: libopenvdb3.2
+Package: libopenvdb5.0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -45,7 +45,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb3.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libilmbase-dev, libopenvdb5.0 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
