=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 endif
 
 # Disable optimization on mips* because the compiler is running out of memory
-# see #847752
-ifneq (,$(filter $(DEB_BUILD_ARCH_CPU), mips mipsel))
-CXXFLAGS:=$(filter-out -O2,$(CXXFLAGS)) -O1
+# see #847752 / #879636
+ifneq (,$(filter $(DEB_BUILD_ARCH_CPU), mips mipsel sh4))
+CXXFLAGS:=$(filter-out -O2,$(CXXFLAGS)) --param ggc-min-expand=10 -O1
 endif
 
 # deduce documentation option (build-indep target)
@@ -112,5 +112,8 @@
 debian/vdb_render.1: debian/vdb_render.1.in
 	help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info --no-discard-stderr vdb_render
 
+debian/vdb_lod.1: debian/vdb_lod.1.in
+	help2man --version-string=$(VER_FULL) --include=$< --output=$@ --no-info --no-discard-stderr vdb_lod
+
 get-orig-source:
 	uscan --verbose --force-download --rename --repack
